interfaces Library: KTextEditor::EditDCOPInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::EditDCOPInterface Class Reference

This is the main interface to the EditInterface of KTextEdit. DCOP interface to EditInterface. More...

`#include <editdcopinterface.h>`

Inheritance diagram for KTextEditor::EditDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::EditDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
virtual QString | text ()
virtual QString | textLine (uint line)
virtual int | numLines ()
virtual int | length ()
virtual void | setText (const QString &text)
virtual bool | insertText (uint line, uint col, const QString &text)
virtual bool | removeText (uint startLine, uint startCol, uint endLine, uint endCol)
virtual bool | insertLine (uint line, const QString &text)
virtual bool | removeLine (uint line)
## Public Member Functions
| EditDCOPInterface (EditInterface *Parent, const char *name)
virtual | ~EditDCOPInterface ()

## Detailed Description

This is the main interface to the EditInterface of KTextEdit. DCOP interface to EditInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file editdcopinterface.h.

## Constructor & Destructor Documentation

EditDCOPInterface::EditDCOPInterface | ( | EditInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  | Parent | the parent EditInterface object that will provide us with the functions for the interface.
  | name | the QObject's name
Definition at line 7 of file editdcopinterface.cpp.

EditDCOPInterface::~EditDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file editdcopinterface.cpp.

## Member Function Documentation

QString EditDCOPInterface::text | ( |  | ) | `[virtual]`

| Returns: the complete document as a single QString Definition at line 18 of file editdcopinterface.cpp.

QString EditDCOPInterface::textLine | ( | uint | line | ) | `[virtual]`

| Returns: All the text from the requested line. Definition at line 23 of file editdcopinterface.cpp.

int EditDCOPInterface::numLines | ( |  | ) | `[virtual]`

| Returns: The current number of lines in the document Definition at line 28 of file editdcopinterface.cpp.

int EditDCOPInterface::length | ( |  | ) | `[virtual]`

| Returns: the number of characters in the document Definition at line 33 of file editdcopinterface.cpp.

void EditDCOPInterface::setText | ( | const QString & | text | ) | `[virtual]`

| Set the given text into the view. Warning: This will overwrite any data currently held in this view. Definition at line 38 of file editdcopinterface.cpp.

bool EditDCOPInterface::insertText | ( | uint | line,
|  | uint | col,
|  | const QString & | text
| ) | `[virtual]`

| Inserts text at line "line", column "col" returns true if success. Definition at line 43 of file editdcopinterface.cpp.

bool EditDCOPInterface::removeText | ( | uint | startLine,
|  | uint | startCol,
|  | uint | endLine,
|  | uint | endCol
| ) | `[virtual]`

| remove text at line "line", column "col" returns true if success Definition at line 48 of file editdcopinterface.cpp.

bool EditDCOPInterface::insertLine | ( | uint | line,
|  | const QString & | text
| ) | `[virtual]`

| Insert line(s) at the given line number. Definition at line 53 of file editdcopinterface.cpp.

bool EditDCOPInterface::removeLine | ( | uint | line | ) | `[virtual]`

| Insert line(s) at the given line number. If only one line is in the current document, removeLine will fail (return false) Definition at line 58 of file editdcopinterface.cpp.

The documentation for this class was generated from the following files:

- editdcopinterface.h
- editdcopinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003